#include "widget.h"
#include "ui_widget.h"
#include <QFile>

//___________________________________________________________CONSTRUCTEUR
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    // gestions des settings (paramètres non volatiles
    // les Settings sont conservées à chaque fois que l'on relance le programme
    // dans cet exemple ils sont stockées dans un fichier .ini
    // d'autres formats existent consultez l'aide de QSettings
    QString paramFileName = "param.ini";
    settings = new QSettings(paramFileName, QSettings::IniFormat);
    // si le fichier n'existe pas (la première fois) on prend des paramètres par défaut
    QFile f(paramFileName);
    if (!f.exists()){   // première fois, paramètres par défaut
        settings->setValue("nom", "aucun");
        settings->setValue("prenom", "aucun");
        settings->setValue("age", 0);
        settings->setValue("sexeM", true);
        }

    // on remet l'interface à jour avec les paramètres par défaut ou existant
    ui->lineEditNom->setText(settings->value("nom").toString());
    ui->lineEditPrenom->setText(settings->value("prenom").toString());
    ui->spinBoxAge->setValue(settings->value("age").toInt());
    ui->radioButtonM->setChecked(settings->value("sexeM").toBool());
    ui->radioButtonF->setChecked(!settings->value("sexeM").toBool());
}

//______________________________________________________DESTRUCTEUR
Widget::~Widget()
{
    delete ui;
    if (settings) delete settings;  // ! on fait le ménage en partant
}

//______________________________________________SLOT Boutton: sauvegarde des paramètres et fermeture de la fenêtre
void Widget::on_pushButton_clicked()
{
    // on sauve les valeurs présents sur l'interface
    settings->setValue("nom", ui->lineEditNom->text());
    settings->setValue("prenom", ui->lineEditPrenom->text());
    settings->setValue("age", ui->spinBoxAge->value());
    settings->setValue("sexeM", ui->radioButtonM->isChecked());

    close();        // ferme la fenêtre
}
